pydo.dedicated_inferences.get_gpu_model_config()

Generated on 1 Oct 2026 from pydo version v0.43.0

Usage

client.dedicated_inferences.get_gpu_model_config()
Returns JSONRaises HttpResponseError

Description

Get supported GPU and model configurations for Dedicated Inference. Use this to discover supported GPU slugs and model slugs (e.g. Hugging Face). Send a GET request to /v2/dedicated-inferences/gpu-model-config.

Response Example

Show Response Example
{
  "gpu_model_configs": [
    {
      "gpu_slugs": [
        "gpu-mi300x1-192gb"
      ],
      "model_slug": "mistral/mistral-7b-instruct-v3",
      "model_name": "Mistral-7B-Instruct-v0.3",
      "is_gated_model": true
    }
  ]
}

More Information

See /v2/dedicated-inferences/gpu-model-config in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.